package com.qmth.paper.library.business.bean.result;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description: 绑定详情返回值
 * @Author: CaoZixuan
 * @Date: 2022-10-08
 */
public class BindDetailResult implements Serializable {
    @ApiModelProperty(value = "绑定员id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long bindUserId;

    @ApiModelProperty(value = "绑定员名称")
    private String bindUserName;

    @ApiModelProperty(value = "已经绑定的数量")
    private int boundCount;

    @ApiModelProperty(value = "正在绑定的数量")
    private int bindingCount;

    @ApiModelProperty(value = "该用户相关绑定任务总数")
    private int totalCount;

    public Long getBindUserId() {
        return bindUserId;
    }

    public void setBindUserId(Long bindUserId) {
        this.bindUserId = bindUserId;
    }

    public String getBindUserName() {
        return bindUserName;
    }

    public void setBindUserName(String bindUserName) {
        this.bindUserName = bindUserName;
    }

    public int getBoundCount() {
        return boundCount;
    }

    public void setBoundCount(int boundCount) {
        this.boundCount = boundCount;
    }

    public int getBindingCount() {
        return bindingCount;
    }

    public void setBindingCount(int bindingCount) {
        this.bindingCount = bindingCount;
    }

    public int getTotalCount() {
        return totalCount;
    }

    public void setTotalCount(int totalCount) {
        this.totalCount = totalCount;
    }
}
